Subject: Re: [PATCH] Remove use of git-rev-parse and replace git-rev-list --pretty with git-log

From: Andy Parkins <[email-masked]>
Date: Sat, 3 Mar 2007 08:25:16 +0000

On Friday 2007, March 02, Junio C Hamano wrote:

> Please look at your Subject: line above and ponder how it would
> look in the next issue of "What's cooking in git.git".  Do I
> have to spend extra brain cycles to go back to "git log --stat"
> and realize that this one only updates a sample hook script?

Apologies.  It's easy to drop into focusing narrowly on on your own 
patch and forget about the larger picture.

> Also, please don't do "--- >8 ---".  If you want to, please use
> two dashes; this is purely for technical reasons.

I'm happy to comply of course.  However, this seems like a bug in git to 
me.  This makes it so that some content is not allowed in a log 
message, which seems very much out of keeping with git's normal "I can 
handle anything" stance.

Finding the "---" separator between diff and log message could at least 
rely on finding "---" alone on a line so that "--- something else" 
wouldn't trigger the end of log?

I assume this is too simple?

diff --git a/builtin-mailinfo.c b/builtin-mailinfo.c
index 766a37e..4e0795a 100644
--- a/builtin-mailinfo.c
+++ b/builtin-mailinfo.c
@@ -670,7 +670,7 @@ static int handle_commit_msg(int *seen)
        return 0;
    do {
        if (!memcmp("diff -", line, 6) ||
-           !memcmp("---", line, 3) ||
+           !memcmp("---\n", line, 4) ||
            !memcmp("Index: ", line, 7))
            break;
        if ((multipart_boundary[0] && is_multipart_boundary(line))) {

> I'll massage the log message and move "^$base --not" around as
> Linus suggested, but next time please be a bit more careful.

I will try.  Once again, my apologies.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]